Crypto++ 8.6 Free C++ class library of cryptographic schemes

Classes | Public Types | List of all members
Threefish512 Class Reference

Threefish 512-bit block cipher. More...

Inheritance diagram for Threefish512:

## Classes
class | Base
| Threefish block cipher transformation functions. More...
class | Dec
| Decryption transformation. More...
class | Enc
| Encryption transformation. More...

## Public Types
typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members
Static Public Member Functions inherited from Threefish_Info< 64 >
static const std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< BS >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedBlockSize< BS >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< BS >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

Threefish 512-bit block cipher.

Threefish512 provides 512-bit block size. The valid key size is 512-bit.

Note
  Crypto++ provides a byte oriented implementation

See also
  Threefish256, Threefish1024, Threefish

Since
  Crypto++ 6.0

Definition at line 116 of file threefish.h.

The documentation for this class was generated from the following file:

- threefish.h